Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11049

Description

Action with Capture output disabled appears to do nothing when activated (Linux and Windows; don't know about Mac).

1. set up an Action to start Firefox, for example (doesn't matter what program is used); don't enable Capture output

2. Identify an object on the canvas, then click the action item in the Identify Results dialog - no window for the program appears.

If Capture output is enabled, then the dialog to show the results of the program appears and the program window appears as expected.

This used to work on 0.8.1

History

#1 - 2008-03-21 06:01 PM - Steven Mizuno

I am submitting a patch to fix this problem. This is the cause: the process is started, then immediately killed by die() if the process is not captured.

The details:

1.merged the two 

if (capture)

 code blocks where the process is started for capturing

2. used QProcess::startDetached() to start the non-captured process

3. on failure to start the non-captured process a message box is raised to inform the user

I have tested this on Linux and Windows XP.

#2 - 2008-08-05 12:19 AM - gjm -

- Resolution set to fixed

- Status changed from Open to Closed

Applied in commit:1b378f63 (SVN r8990). Thanks.

#3 - 2009-08-22 12:57 AM - Anonymous

2025-04-27 1/2



Milestone Version 1.0.0 deleted
